<?php
// Copyright 1999-2023. Plesk International GmbH. All rights reserved.

namespace WHMCS\Module\Server\SolusVm2Vps\ClientAPI;

/**
 * Trait Response
 * @package WHMCS\Module\Server\SolusVm2Vps\ClientAPI
 */
trait Response
{
    /**
     * @param array $data
     */
    public function success(array $data)
    {
        echo json_encode(['success' => true, 'data' => $data]);
        exit();
    }

    /**
     * @param string $error
     */
    public function error(string $error, int $code = 200)
    {
        http_response_code($code);
        echo json_encode(['success' => false, 'error' => $error]);
        exit();
    }
}
