<?php
// Copyright 1999-2023. Plesk International GmbH. All rights reserved.

namespace WHMCS\Module\Server\SolusVm2Vps\ClientAPI;

use Exception;
use WHMCS\Module\Server\SolusVm2Vps\Database\Models\SolusServer;
use WHMCS\Module\Server\SolusVm2Vps\SolusAPI\Resources\ServerResource;

/**
 * Class Server
 * @package WHMCS\Module\Server\SolusVm2Vps\ClientAPI
 */
class Server
{
    use Response;

    /**
     * @var ServerResource
     */
    private $serverResource;

    /**
     * Server constructor.
     * @param ServerResource $serverResource
     */
    public function __construct(ServerResource $serverResource)
    {
        $this->serverResource = $serverResource;
    }

    /**
     * @param int $serviceId
     */
    public function getStatus(int $serviceId)
    {
        try {
            if (!$server = SolusServer::getByServiceId($serviceId)) {
                $this->error('Entity not found');
            }

            $this->success($this->serverResource->get($server->server_id));
        } catch (Exception $exception) {
            $this->success(['error' => $exception->getMessage()]);
        }
    }
}
