<?php
// Copyright 1999-2023. Plesk International GmbH. All rights reserved.

namespace WHMCS\Module\Server\SolusVm2Vps\Database\Migrations;

use Illuminate\Database\Schema\Blueprint;
use WHMCS\Database\Capsule as DB;

/**
 * @package WHMCS\Module\Server\SolusVm2Vps\Database\Migrations
 */
class SshKeys implements Migration
{
    const TABLE = 'solusvm2vps_ssh_keys';

    /**
     * @inheritDoc
     */
    public static function run()
    {
        if (DB::schema()->hasTable(self::TABLE)) {
            return;
        }

        DB::schema()->create(self::TABLE, static function (Blueprint $table) {
            $table->increments('id');
            $table->bigInteger('solus_key_id');
            $table->string('key_hash', 50);
        });
    }
}
