<?php
// Copyright 1999-2023. Plesk International GmbH. All rights reserved.

namespace WHMCS\Module\Server\SolusVm2Vps\Database\Models;

use WHMCS\Database\Capsule as DB;

class Product
{
    const TABLE = 'tblproducts';

    /**
     * @param int $id
     * @return mixed
     */
    public static function getById(int $id)
    {
        return DB::table(self::TABLE)->where(['id' => $id])->first();
    }

    public static function getByType(string $type)
    {
        return DB::table(self::TABLE)->where(['servertype' => $type])->get();
    }

    public static function update(int $id, array $data): void
    {
        DB::table(self::TABLE)->where('id', $id)->update($data);
    }
}
