<?php
// Copyright 1999-2023. Plesk International GmbH. All rights reserved.

namespace WHMCS\Module\Server\SolusVm2Vps\SolusAPI\Helpers;

/**
 * @package WHMCS\Module\Server\SolusVm2Vps\SolusAPI\Helpers
 */
class Strings
{
    /**
     * @param string $str
     * @return string
     */
    public static function convertToUserData(string $str): string
    {
        return str_replace(["\r\n", "\r"], "\n", $str);
    }

    /**
     * @param string $str
     * @return string
     */
    public static function convertToSshKey(string $str): string
    {
        $str = str_replace(["\r\n", "\r", "\n"], '', $str);

        return trim($str);
    }

    /**
     * Generate SolusVM 2.0 compatible password
     *
     * @return string
     */
    public static function generatePassword(): string
    {
        $patterns = [
            '1234567890',
            'ABCDEFGHIJKLMNOPQRSTUVWXYZ',
            'abcdefghijklmnopqrstuvwxyz',
        ];

        $password = '';

        foreach ($patterns as $pattern) {
            $password .= substr(str_shuffle($pattern), 0, 5);
        }

        return str_shuffle($password);
    }
}
