<?php
// Copyright 1999-2023. Plesk International GmbH. All rights reserved.

namespace WHMCS\Module\Server\SolusVm2Vps\SolusAPI\Resources;

use \GuzzleHttp\ClientInterface;

/**
 * Class ApiResource
 * @package WHMCS\Module\Server\SolusVm2Vps\SolusAPI\Resources
 */
class ApiResource
{
    /**
     * @var ClientInterface
     */
    protected $connector;

    /**
     * Plan constructor.
     * @param ClientInterface $connector
     */
    public function __construct(ClientInterface $connector)
    {
        $this->connector = $connector;
    }

    public function getConnector(): ClientInterface
    {
        return $this->connector;
    }

    /**
     * @param $response
     * @return array
     */
    protected function processResponse($response): array
    {
        if (!$body = $response->getBody()) {
            return [];
        }

        $data = json_decode($body->getContents(), true);

        if (!is_array($data)) {
            $data = [];
        }

        return $data;
    }
}
