<?php
// Copyright 1999-2023. Plesk International GmbH. All rights reserved.

namespace WHMCS\Module\Server\SolusVm2Vps\SolusAPI\Resources;

/**
 * @package WHMCS\Module\Server\SolusVm2Vps\SolusAPI\Resources
 */
class BackupResource extends ApiResource
{
    public function getAll(int $serverId): array
    {
        return $this->processResponse($this->connector->get("servers/{$serverId}/backups"));
    }

    public function create(int $serverId): array
    {
        return $this->processResponse($this->connector->post("servers/{$serverId}/backups", [
            'json' => [
                'id' => $serverId,
            ],
        ]));
    }

    public function restore(int $backupId): array
    {
        return $this->processResponse($this->connector->post("backups/{$backupId}/restore"));
    }
}
