<?php
// Copyright 1999-2023. Plesk International GmbH. All rights reserved.

namespace WHMCS\Module\Server\SolusVm2Vps\SolusAPI\Resources;

use WHMCS\Module\Server\SolusVm2Vps\SolusAPI\Resources\Traits\ListRequest;

/**
 * @package WHMCS\Module\Server\SolusVm2Vps\SolusAPI
 */
class SshKeyResource extends ApiResource
{
    use ListRequest;

    const ENTITY = 'ssh_keys';

    public function create(string $name, string $body, int $userId): int
    {
        $response = $this->processResponse($this->connector->post("ssh_keys", [
            'json' => [
                'name' => $name,
                'body' => $body,
                'user_id' => $userId,
            ],
        ]));

        return (int) $response['data']['id'];
    }
}
