<?php
// Copyright 1999-2023. Plesk International GmbH. All rights reserved.

namespace WHMCS\Module\Server\SolusVm2Vps\WhmcsAPI;

use WHMCS\Module\Server\SolusVm2Vps\Database\Models\Server;
use WHMCS\Module\Server\SolusVm2Vps\Logger\Logger;
use WHMCS\Module\Server\SolusVm2Vps\SolusAPI\Resources\ProjectResource;
use WHMCS\Module\Server\SolusVm2Vps\SolusAPI\Connector;

/**
 * @package WHMCS\Module\Server\SolusVm2Vps\WhmcsAPI
 */
class Servers
{
    public static function getValidParams(): array
    {
        $serverIds = Server::getModuleServers();

        foreach ($serverIds as $serverId) {
            $serverParams = Server::getParams($serverId);

            try {
                $projectResource = new ProjectResource(Connector::create($serverParams));

                $projectResource->list();

                return $serverParams;
            } catch (\Exception $e) {
                Logger::log(['error' => $e->getMessage()], $e->getMessage());
            }
        }

        return [];
    }
}
