<?php
// Copyright 1999-2023. Plesk International GmbH. All rights reserved.

namespace WHMCS\Module\Server\SolusVm2Vps\WhmcsAPI;

use Exception;
use WHMCS\Module\Server\SolusVm2Vps\Database\Models\SolusSshKey;
use WHMCS\Module\Server\SolusVm2Vps\SolusAPI\Connector;
use WHMCS\Module\Server\SolusVm2Vps\SolusAPI\Resources\SshKeyResource;

class SshKey
{
    /**
     * @throws Exception
     */
    public static function create(array $serverParams, string $sshKey, int $solusUserId): int
    {
        $sshKeyId = SolusSshKey::getIdByKey($sshKey);

        if ($sshKeyId === 0) {
            $sshKeyResource = new SshKeyResource(Connector::create($serverParams));
            $sshKeyHash = SolusSshKey::getKeyHash($sshKey);
            $sshKeyId = $sshKeyResource->create($sshKeyHash, $sshKey, $solusUserId);

            SolusSshKey::create([
                'solus_key_id' => $sshKeyId,
                'key_hash' => $sshKeyHash,
            ]);
        }

        return $sshKeyId;
    }
}
