<?php
// Copyright 1999-2023. Plesk International GmbH. All rights reserved.

namespace WHMCS\Module\Server\SolusVm2Vps\WhmcsAPI;

use WHMCS\Module\Server\SolusVm2Vps\SolusAPI\Requests\UserRequestBuilder;
use WHMCS\Module\Server\SolusVm2Vps\SolusAPI\Resources\UserResource;

class User
{
    public static function syncWithSolusUser(UserResource $userResource, UserRequestBuilder $request): int
    {
        $solusUser = $userResource->getUserByEmail($request->getEmail());

        $whmcsUserId = $request->getWhmcsUserId();

        if (empty($solusUser)) {
            return $userResource->create($request->getCreateRequest());
        }

        $solusUserId = $solusUser['id'];

        if ((int)$solusUser['billing_user_id'] !== $whmcsUserId) {
            $userResource->updateUser($solusUserId, $request->getUpdateRequest());
        }

        return $solusUserId;
    }
}
